Get Card Requests List

Retrieves a paginated list of operation requests (ISSUE, TOPUP, WITHDRAWAL, BLOCK) for a specific card.

Endpoint: GET /{san}/requests

Path Parameters:

Parameter
Type
Required
Description

san

String

Yes

Secure Account Number (card identifier)

Query Parameters:

Parameter
Type
Required
Description

limit

Number

Yes

Maximum number of records to return (max 100)

offset

Number

Yes

Number of records to skip for pagination (0-based)

Response:

{
  "count": 6,
  "requests": [
    {
      "status": "EXECUTED",
      "type": "BLOCK",
      "docid": 362822828,
      "request_id": "block-101-00465",
      "created": "2025-07-03T09:21:55.605Z"
    },
    {
      "status": "EXECUTED",
      "type": "WITHDRAWAL",
      "docid": 362822762,
      "request_id": "withdraw0000009",
      "created": "2025-07-03T09:20:55.605Z"
    },
    {
      "status": "EXECUTED",
      "type": "WITHDRAWAL",
      "docid": 362822740,
      "request_id": "withdraw0000008",
      "created": "2025-07-03T09:19:55.605Z"
    },
    {
      "status": "EXECUTED",
      "type": "TOPUP",
      "docid": 362822718,
      "request_id": "topup-100-06-493",
      "created": "2025-07-03T09:18:55.605Z"
    },
    {
      "status": "EXECUTED",
      "type": "TOPUP",
      "docid": 362822696,
      "request_id": "topup-100-05-0083",
      "created": "2025-07-03T09:17:55.605Z"
    },
    {
      "status": "EXECUTED",
      "type": "ISSUE",
      "docid": 362822674,
      "request_id": "issue-100-001-00",
      "created": "2025-07-03T09:15:55.605Z"
    }
  ]
}

Response Parameters:

Field
Type
Description

count

Number

Total number of matching records (for pagination)

requests

Array

Array of response objects

requests[].created

String (ISO 8601)

Request created timestamp in UTC

requests[].type

String

Operation type(see Operation Values below)

requests[].status

String

Current status of the operation (see Status Values below)

requests[].docid

Number

Document ID for tracking the operation

requests[].request_id

String

The request ID provided in the original request

Operation Types:

  • ISSUE - Card issuance

  • TOPUP - Card top-up

  • WITHDRAWAL - Card withdrawal

  • BLOCK - Card blocking

Status Values:

  • INPROCESS - Operation is currently being processed

  • EXECUTED - Operation completed successfully

  • DECLINED - Operation was declined

Last updated